<html devsite><head>
    <title>测试生命周期</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>使用 TradeFederation 执行的测试，其生命周期包括四个独立阶段，并且围绕正式定义的接口而设计。</p>
<ul>
<li><a href="/reference/tradefed/com/android/tradefed/build/IBuildProvider.html">版本提供者</a>：提供一个测试版本，必要时可下载适当的文件。</li>
<li><a href="/reference/tradefed/com/android/tradefed/targetprep/ITargetPreparer.html">目标准备器</a>：准备测试环境，其中可能包括软件安装和设备配置。</li>
<li><a href="/reference/tradefed/com/android/tradefed/testtype/IRemoteTest.html">测试</a>：执行测试并收集测试结果。虽然我们的 <a href="/reference/tradefed/com/android/tradefed/testtype/IRemoteTest.html">IRemoteTest</a> 接口专为在 Trade Federation 环境中实现出色性能而设计，但这里执行的测试可以是任何 JUnit 测试。</li>
<li><a href="/reference/tradefed/com/android/tradefed/result/ITestInvocationListener.html">测试调用监听器</a>：监听测试结果，通常用于将测试结果转发到存储区或将其显示给测试运行者。</li>
</ul>

<p>TF 中的基本测试实体是一项<b>配置</b> (config)。config 是一个 XML 文件，用于声明测试的生命周期组件。</p>

<p>对测试生命周期进行独立分段的目的是方便重复使用。使用该设计，开发者可以创建一次测试，然后集成者可以创建不同的配置，以便在不同环境中运行该测试。例如，他们可以创建一项配置，该配置可以在本地计算机上运行测试并将测试结果转储到 stdout。然后，他们可以创建执行相同测试的第二个配置，但使用不同的测试调用监听器将测试结果存储在数据库中。他们还可能设计第三个配置，用于从某处的测试实验室进行连续测试。</p>

<p>这里顺便说明一下，一个配置加上相关命令行参数（由测试运行者提供）一起称为<b>命令</b>。当 TF 将某个命令与 <code>ITestDevice</code> 配对并执行该命令时，后续对象称为<b>调用</b>。
简而言之，调用包含贯穿整个生命周期的完整 TF 测试执行过程。</p>

<h3>配置的附加组件</h3>
<ul>
<li><a href="/reference/tradefed/com/android/tradefed/device/IDeviceRecovery.html">设备恢复</a>：设备丢失时的设备通信恢复机制。</li>
<li><a href="/reference/tradefed/com/android/tradefed/log/package-summary.html">日志记录器</a>：收集 tradefed 日志数据。</li>
</ul>

</body></html>